Skip to main content
POST
/
document
/
get-documents
Retrieve multiple documents
curl --request POST \
  --url https://app.myhero.so/document/get-documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    "<string>"
  ]
}
'
{
  "data": [
    {
      "_id": "<string>",
      "parentId": "<string>",
      "projectId": "<string>",
      "userId": "<string>",
      "workspaceId": "<string>",
      "name": "<string>",
      "type": "FOLDER",
      "createdAt": 123,
      "updatedAt": 123,
      "description": "<string>",
      "reference": "<string>",
      "isPublished": false,
      "publishedSettings": {
        "publishedById": "<string>",
        "publishedAt": 123,
        "styling": {},
        "domainSlug": "<string>"
      },
      "external": {
        "type": "PDF",
        "resourcePath": "<string>",
        "resourceId": "<string>"
      },
      "icon": {
        "name": "<string>",
        "color": "<string>"
      },
      "emoji": {
        "unified": "<string>",
        "emojiStyle": "<string>"
      },
      "collaborators": [
        {
          "userId": "<string>",
          "role": "owner"
        }
      ],
      "isDeleted": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Fetches a batch of documents by their _ids. The caller must have access to all requested documents; a 403 is returned if any are inaccessible.

Authorizations

Authorization
string
header
required

HERO personal access token

Body

application/json
data
string[]
required
Minimum array length: 1
Minimum string length: 1

Response

200 response

data
object[]
required